<?php
session_start();
require_once('../conexion.php');
require_once('../include/sesiones.php');
$clie_id=$_GET['id'];   
$can=mysqli_query($con,"SELECT * from cliente where clie_id='$clie_id'") or die(mysqli_error($con)); 
$dato=mysqli_fetch_array($can);
$clie_nombre=$dato['clie_nombre']; 
$clie_puntos=$dato['clie_puntos'];
?>

<form name="form_puntos" id="form_puntos" method="post">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
                <h4 class="modal-title">PUNTOS A REDIMIR</h4>
            </div>
            <div class="modal-body">
                <div id="resultado"></div>
                <label>Cliente</label>
                <input type="" name="clie_nombre" class="form-control"  value="<?php echo $clie_nombre; ?>" readonly>
                <label>Puntos Disponibles</label>
                <input type="number" name="clie_puntos" id="clie_puntos" class="form-control" value="<?php echo $clie_puntos; ?>" readonly >
                <label>Puntos a Redimir</label>
                <input type="number" name="clie_puntos_redimir" id="clie_puntos_redimir" class="form-control" value="<?php echo $clie_puntos; ?>" onkeyup="sumarr()" max="<?php echo $clie_puntos; ?>" >
                <label>Dinero</label>
                <input type="hidden" name="valor_punto_redimir" id="valor_punto_redimir" class="form-control" value="<?php echo $valor_punto_redimir; ?>" >
                <input type="number" name="dinero_puntos1" id="dinero_puntos1" class="form-control input-sm" autocomplete="off" value="<?php echo $clie_puntos*$valor_punto_redimir; ?>" readonly>
                <input type="hidden" name="clie_id" value="<?php echo $clie_id; ?>" >
           
                <div class="modal-footer">
                    <button type="button" class="btn btn-default" data-dismiss="modal">Cancelar</button>
                    <button type="submit" id="btn_punto" value="btn_punto" class="btn btn-success"><i class="icon-ok"></i> Redimir</button>        
                </div> 
            </div>
        </div><!-- /.modal-content -->
    </div><!-- /.modal-dialog -->
</form>

<script type="text/javascript">
$("#form_puntos").submit(function( event ) {
$('#btn_punto').attr("disabled", true);
    var parametros = $(this).serialize();
    $.ajax({
        type: "POST",
        url: "php_facturar/redimir_puntos.php",
        data: parametros,
        beforeSend: function(objeto){
         $('#resultado').html('<center><img src="./img/ajax-loader.gif"> CARGANDO...</center>');
        },
        success: function(datos){
        $("#resultado").html(datos);
        $('#btn_punto').attr("disabled", false);
        $('#puntos_clie').modal('hide');
        $('body').removeClass('modal-open');
        $('.modal-backdrop').remove();
      loadcliente();
    }
  });
  event.preventDefault();
})
</script>

<script type="text/javascript">
function sumarr() 
{ 
    var clie_puntos_redimir=document.getElementById("clie_puntos_redimir").value ;
    var valor_punto_redimir=document.getElementById("valor_punto_redimir").value ;
    var resta=clie_puntos_redimir*valor_punto_redimir;
    document.getElementById("dinero_puntos1").value=parseFloat(resta);
} 
</script>